<!DOCTYPE html>
<html lang="en" class="no-js">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Sports Data</title>
	<meta name="Description" content="NFL Data" />
	<meta name="Keywords" content="Stuff" />
	<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="css/main.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="css/slider.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="css/default.css" media="screen" />
</head>
<body>
<?php
function get_index($array, $index){
  return isset($array[$index]) ? $array[$index] : null;
}
function index_var($var){
	$value = get_index($_POST, $var) || get_index($_GET, $var)
		? get_index($_POST, $var)
			? get_index($_POST, $var)
			: get_index($_GET, $var)
		: '';
		return $value;
}

$default_league = 'college-football';
$default_league = 'mlb';
$default_league = 'nhl';
$default_league = 'nba';
$default_league = 'nfl';
$league = !index_var('league')
	? $default_league
	: index_var('league');
include 'libClass/common.php';
include 'libClass/'.$league.'.php';
echo '	<div id="league" class="clear margin-bottom" data-league="'.$league.'"></div>'."\n";
?>
<div class="container-fluid">
	<div class="margin-bottom center">
		<a href="?league=mlb" class="league-select" data-league="mlb"><img src="image/mlb.png" title="Major League Baseball" alt="Major League Baseball" class="display-inline-block" style="max-width:40px;" /></a>&nbsp;&nbsp;&nbsp; 
		<a href="?league=nfl" class="league-select" data-league="nfl"><img src="image/nfl.png" title="National Football League" alt="National Football League" class="display-inline-block" style="max-height:40px;" /></a>&nbsp;&nbsp;&nbsp; 
		<a href="?league=nba" class="league-select" data-league="nba"><img src="image/nba.png" title="National Basketball Association" alt="National Basketball Association" class="display-inline-block" style="max-height:40px;" /></a>&nbsp;&nbsp;&nbsp; 
		<a href="?league=nhl" class="league-select" data-league="nhl"><img src="image/nhl.png" title="National Hockey League" alt="National Hockey League" class="display-inline-block" style="max-height:35px;" /></a>&nbsp;&nbsp;&nbsp; 
		<a href="?league=college-football" class="league-select" data-league="college-football"><img src="image/college-football.png" title="NCAA" alt="NCAA Football" class="display-inline-block" style="max-height:35px;" /></a>
	</div>
<?php
$date = !index_var('date')
	? 0
	: index_var('date');
$season = 'post';
if($league == 'mlb'){
	$header = 'Major League Baseball';
	$sport = 'baseball';
	$baseballJson->getGames($date,$sport,$league,'baseball_json',$header,$common->season_type($sport,$league));
}
if($league == 'nhl'){
	$header = 'National Hockey League';
	$sport = 'hockey';
	$hockeyJson->getGames($date,$sport,$league,'hockey_json',$header,$common->season_type($sport,$league));
}
if($league == 'nba'){
	$header = 'National Basketball Association';
	$sport = 'basketball';
	$basketballJson->getGames($date,$sport,$league,'basketball_json',$header,$common->season_type($sport,$league));
}
if($league == 'nfl'){
	$week = !index_var('week')
		? ''
		: index_var('week');
	$sport = 'football';
	$header = 'National Football League';
	$footballJson->getGames($week,$sport,$league,'football_json',$header,$common->season_type($sport,$league));
}
if($league == 'college-football'){
	$week = !index_var('week')
		? ''
		: index_var('week');
	$sport = 'football';
	$header = 'NCAA Football';
	$NCAAfootballJson->getGames($week,$sport,$league,'football_json',$header,$common->season_type($sport,$league));
}
?>
	<div class="margin-bottom-sm clear"></div>
	<div class="margin-auto max-1200 text-right">
		<a href="https://espn.com" target="_blank" class="float-right">
			<img src="image/espn200.png" alt="" style="height:30px;" />
		</a>
		<div class="margin-bottom clear"></div>
	</div>
</div>
<script type="text/javascript" src="js/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
<script type="text/javascript" src="js/slider.js"></script>
</body>
</html>