<?php
class jsonHockey extends jsonCommon{
	public function leaders_display($array,$team,$type=NULL){
		$game_stats = '';
		$game_stats .= '	<tr>'."\n";
		$leader = $array[$team]['leaders'];
		//$leader_cnt = count($leader);
		for($iw=0; $iw<3; $iw++){
			$cat = '';
			$lineclass = '';
			$player = $leader[$iw]['leaders'][0]['athlete']['shortName'];
			$stat = $leader[$iw]['leaders'][0]['displayValue'];
			$val = $leader[$iw]['leaders'][0]['value'];
			$name = $leader[$iw]['abbreviation'];
			$headshot = '<img src="image/headshot.png" alt="" style="width:55px;" class="center" />';
			if(isset($leader[$iw]['leaders'][0]['athlete']['headshot'])){
				$img = $leader[$iw]['leaders'][0]['athlete']['headshot'];
				$headshot = '<img src="'.$img.'" alt="" style="width:55px;" class="center" />';
			}
			if($val>0){
				if($iw === 0) $cat .= 'Goals';
				if($iw === 1) $cat .= 'Assists';
				if($iw === 2) $cat .= 'Pts';
				if($cat == 'RAT'){
					$val = number_format($val, 3, '.', '');
					$str = ltrim($val, '0') ?: '0';
					$val = $str;
				}
				if($type == 'player'){
					$game_stats .= '		<td class="padding-all-sm"><strong>'.$player.'</strong></td>'."\n";
				}
				if($type == 'stats'){
					$game_stats .= '		<td class="padding-all-sm">'.$val.' '.$cat.'</td>'."\n";
				}
				if($type == 'headshot'){
					$game_stats .= '		<td class="padding-all-sm">'.$headshot.'</td>'."\n";
				}
			}
		}
		$game_stats .= '	</tr>'."\n";
		echo $game_stats;
	}
	public function linescores($array,$team,$logo,$win,$score,$complete,$header=NULL){
		$win_class = ($win && $complete && !$header)
			? ' bold green'
			: '';
		if(!$header){
			$logo = '<img src="'.$logo.'" alt="" style="width:22px;" />';
		}else{
			$logo = '';
		}
		echo '	<tr>'."\n";
		echo '		<td class="padding-sm-all center">'.$logo.'</td>'."\n";
		if(isset($array[1]['linescores'])){
			$awayinnings = $array[1]['linescores'];
			$cnt_awayinnings = count($awayinnings);
			$homeinnings = $array[0]['linescores'];
			$cnt_homeinnings = count($homeinnings);
			if(isset($array[$team]['linescores'])){
				$innings = $array[$team]['linescores'];
				$cnt_innings = count($innings);
				for($ai=0; $ai<$cnt_innings; $ai++){
					if(isset($innings[$ai]['value'])){
						$inning = $innings[$ai]['value'];
						if($header){
							$inning = $ai + 1;
						}
						echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'</td>'."\n";
					}
				}
				if(($team == 0 && $cnt_awayinnings > $cnt_homeinnings)){
					echo '		<td class="padding-sm-all'.$win_class.'">0</td>'."\n";
				}
				$max = $cnt_innings < 3
					? 3
					: $cnt_innings;
				for($ai=$cnt_innings; $ai<$max; $ai++){
						$inning = 0;
						if($header) $inning = $ai + 1;
						echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'</td>'."\n";
				}
			}
		}else{
			$max = 3;
			for($ai=0; $ai<$max; $ai++){
					$inning = 0;
					if($header) $inning = $ai + 1;
					echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'&nbsp;</td>'."\n";
			}
		}
		echo '		<td class="padding-sm-all left bold"><span class="'.$win_class.'">'.$score.'</span></td>'."\n";
		echo '	</tr>'."\n";
	}
	public function hockey_json($games){
		$game = $games['events'];
		$gameTime = '';
		$tween = 0;
		$winning_team = '';
		$losing_team = '';
		$win_home = 0;
		$win_away = 0;
		$win_class = '';
		$cnt = count($game);
		for($i=0; $i<$cnt; $i++){
			$complete = $game[$i]['status']['type']['completed'];
			$description = $game[$i]['status']['type']['description'];
			$detail = $game[$i]['status']['type']['detail'];
			$postponed = $detail == 'Postponed'
				? 1
				: 0;
			$date = $game[$i]['date'];
			$in = array('T','Z');
			$out = array(' ','');
			$date = ''.str_ireplace($in, $out, $date);
			if($description == 'Scheduled'){
				//$date = str_ireplace(array(' at', 'EDT',' EST'),array('','',''),$detail);
				$gameTime = date('D M jS g:i', strtotime($date));
			}else{
				$status = $complete
					? ' Complete'
					: ' In Progress';
				$gameTime = $detail == 'Postponed'
					? 'Postponed'
					: $detail;
			}
			$notes = '';
			if(isset($game[$i]['competitions'][0]['notes'][0])){
				$notes = ' '.$game[$i]['competitions'][0]['notes'][0]['headline'];
				//echo '<div class="max-350 padding-top">'.$notes.'</div>'."\n";
			}
			$link = $game[$i]['links'][0]['href']; /////// espn game link ///////
			$team = $game[$i]['competitions'][0]['competitors'];
			/////// away team ///////
			$awayid = $team[1]['id'];
			$awayrecord = isset($team[1]['records'][0]['summary'])
				? '('.$team[1]['records'][0]['summary'].')'
				: '';
			$awayteam = $team[1]['team']['displayName'];
			$awayabb = $team[1]['team']['abbreviation'];
			$awaylogo = isset($team[1]['team']['logo'])
				? $team[1]['team']['logo']
				: '';
			$awayscore = isset($team[1]['score'])
				? $team[1]['score']
				: '';
			/////// home team ///////
			$homeid = $team[0]['id'];
			$hometeam = $team[0]['team']['displayName'];
			$homerecord = isset($team[0]['records'][0]['summary'])
				? '('.$team[0]['records'][0]['summary'].')'
				: '';
			$homeabb = $team[0]['team']['abbreviation'];
			$homelogo = isset($team[0]['team']['logo'])
				? $team[0]['team']['logo']
				: '';
			$homescore = isset($team[0]['score'])
				? $team[0]['score']
				: '';
			if($complete){
				$winning_team = $team[0]['winner']
					? 'h'
					: 'a';
				if($winning_team == 'a'){
					$win_away = 1;
					$win_home = 0;
					$win_class_away = ' bold green';
					$win_class_home = '';
				}
				if($winning_team == 'h'){
					$win_home = 1;
					$win_away = 0;
					$win_class_home = ' bold green';
					$win_class_away = '';
				}
			}else{
				$win_class_home = '';
				$win_class_away = '';
			}
			if($complete){
				if($team[0]['winner']){
					$winning_team = 'h';
					$team_win = '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					$team_lose = '<img src="'.$awaylogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					$team_win_rec = $homerecord;
					$team_lose_rec = $awayrecord;
				}else{
					$winning_team = 'a';
					$team_win = '<img src="'.$awaylogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					$team_lose = '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					$team_win_rec = $awayrecord;
					$team_lose_rec = $homerecord;
				}
			}
			$active = '';
			if($i == 0) $active = ' active';
			echo '<div class="item main-wrapper min-450 border display-inline-block margin-all'.$active.'">'."\n";
			echo '<div class="float-left italic"><strong>'.($i + 1).'.</strong> '.$gameTime.'</div>'."\n";
			echo '<div class="float-right"><a href="'.$link.'" target="_blank"><img src="image/espn200.png" alt="" style="width:45px;" /></a></div>'."\n";
			echo '<div class="clear margin-bottom-sm"></div>'."\n";
			echo '<div class="center bold'; if($win_away) echo $win_class_away; echo '"> <img src="'.$awaylogo.'" alt="" style="width:22px;" class="display-inline-block" /> <div class="display-inline-block">'.$awayteam.' '.$awayrecord.'</div></div>'."\n";
			echo '<div class="margin-bottom-sm center bold">@</div>'."\n";
			echo '<div class="margin-bottom center bold'; if($win_home) echo $win_class_home; echo '"> <img src="'.$homelogo.'" alt="" style="width:22px;" class="display-inline-block" /> <div class="display-inline-block">'.$hometeam.' '.$homerecord.'</div></div>'."\n";
			if($notes) echo '<div class="margin-bottom center">'.$notes.'</div>'."\n";
			if($complete){
				$saving_pitcher = '';
				$winning_w = '';
				$winning_l = '';
				$winning_era = '';
				$winning_pitcher = '';
				$losing_w = '';
				$losing_l = '';
				$losing_era = '';
				$losing_pitcher = '';
				if(isset($game[$i]['competitions'][0]['status']['featuredAthletes'])){
					$featuredAthletes = $game[$i]['competitions'][0]['status']['featuredAthletes'];
					$winning_pitcher = $featuredAthletes[0]['athlete']['shortName'];
					$con = $featuredAthletes[0]['statistics'];
					$dcon = '';
					foreach($con as $r){
						$dcon = $r['name'];
						if($dcon == 'savePct') $winning_l = $r['displayValue'];
						if($dcon == 'saves') $winning_w = $r['displayValue'];
					}
					$losing_pitcher = $featuredAthletes[1]['athlete']['shortName'];
					$con = $featuredAthletes[1]['statistics'];
					$dcon = '';
					foreach($con as $r){
						$dcon = $r['name'];
						if($dcon == 'savePct') $losing_l = $r['displayValue'];
						if($dcon == 'saves') $losing_w = $r['displayValue'];
					}
				}else{
					$saving_pitcher = '';
					$winning_w = '';
					$winning_l = '';
					$winning_era = '';
					$winning_pitcher = '';
					$losing_w = '';
					$losing_l = '';
					$losing_era = '';
					$losing_pitcher = '';
				}
			}
			if($complete){
				/////// pitcher winner/loser/save  ///////
				if($winning_team == 'h'){
					echo '<div class="margin-bottom-sm bold"><strong class="display-inline-block v-align">L</strong> '.$team_lose.'&nbsp;&nbsp; ';
					if($losing_pitcher) echo $losing_pitcher.' Saves '.$losing_w.' ('.$losing_l.')'."\n";
					echo '</div>'."\n";
					echo '<div class="margin-bottom-sm green bold"><strong class="display-inline-block v-align">W&nbsp;</strong> '.$team_win.''."\n";
					if($winning_pitcher !== '') echo '&nbsp;&nbsp; '.$winning_pitcher.'Saves '.$winning_w.' ('.$winning_l.')'."\n";
					echo '</div>';
				}else{
					echo '<div class="margin-bottom-sm green bold"><strong class="display-inline-block v-align">W&nbsp;</strong> '.$team_win.'&nbsp;&nbsp; ';
					if($winning_pitcher !== '') echo $winning_pitcher.' Saves $ '.$winning_w.' ('.$winning_l.')'."\n";
					echo '</div>'."\n";
					echo '<div class="margin-bottom-sm bold"><strong class="display-inline-block v-align">L&nbsp;&nbsp;</strong> '.$team_lose."\n";
					if($losing_pitcher) echo '&nbsp;&nbsp; '.$losing_pitcher.' Saves = '.$losing_w.' ('.$losing_l.')'."\n";
					echo '</div>'."\n";
				}
				echo '<div class="clear margin-bottom"></div>'."\n";
			}
			echo '<table class="center" border=1>'."\n";
			$this->linescores($team,1,null,null,'T',$complete,1);
			$this->linescores($team,1,$awaylogo,$win_away,$awayscore,$complete);
			$this->linescores($team,0,$homelogo,$win_home,$homescore,$complete);
			echo '</table>'."\n";
			echo '<div class="clear padding-bottom-sm"></div>'."\n";
			if($complete){
				$x = $winning_team == 'h'
					? 0
					: 1;
				echo '<table class="w-100">'."\n";
				$this->leaders_display($team,$x,"player");
				$this->leaders_display($team,$x,"stats");
				$this->leaders_display($team,$x,"headshot");
				echo '</table>'."\n";
			}else if(!$complete && $description == 'In Progress'){
				echo '<div class="clear padding-bottom-sm"></div>'."\n";
				/////// pre game info ///////
				if(isset($game[$i]['competitions'][0]['situation']['lastPlay'])){
					$last_id = isset($game[$i]['competitions'][0]['situation']['lastPlay']['team'])
						? $game[$i]['competitions'][0]['situation']['lastPlay']['team']['id']
						: '';
					if($awayid == $last_id){
						$last_team = '<img src="'.$awaylogo.'" alt="" style="width:20px;" />';
					}else if($homeid == $last_id){
						$last_team = '<img src="'.$homelogo.'" alt="" style="width:20px;" />';
					}else{
						$last_team = '';
					}
					$last_type = $game[$i]['competitions'][0]['situation']['lastPlay']['type']['text'];
					$last = $game[$i]['competitions'][0]['situation']['lastPlay']['text'];
					echo '<div class="max-350 padding-bottom-sm">'.$last_team.' ('.$last_type.') '.$last.'</div>'."\n";
				}
			}else{
				echo '<div class="clear margin-bottom-sm"></div>'."\n";
				/////// pre game info ///////
				$game_away = $game[$i]['competitions'][0]['competitors'][1];
				if(isset($game[$i]['competitions'][0]['competitors'][0]['probables'][0]) || isset($game[$i]['competitions'][0]['competitors'][1]['probables'][0])){
					echo '<div class="margin-top-sm">Starting Goalies:</div>'."\n";
					$game_away = $game[$i]['competitions'][0]['competitors'][1];
					$away_line = ' <div class="display-inline-block bold"> (NA)</div>'."\n";
					if(isset($game_away['probables'][0]['statistics'])){
						$stats_away = $game_away['probables'][0]['statistics'];
						$pitcher_away = $game_away['probables'][0]['athlete']['displayName'];
						$away_img = 'image/headshot.png';
						if(isset($game_away['probables'][0]['athlete']['headshot'])){
							$away_img = $game_away['probables'][0]['athlete']['headshot'];
						}
						$away_head = '<img src="'.$away_img.'" alt="" style="height:20px;" class="display-inline-block" />'."\n";
						$away_line = $away_head.' <div class="display-inline-block">'.$pitcher_away.'</div>'."\n";
					}
					echo '<div class="display-inline-block margin-top-sm bold"><div class="display-inline-block">'.$awayabb.'</div>'.$away_line.'</div>'."\n";

					$game_home = $game[$i]['competitions'][0]['competitors'][0];
					$home_line = ' <div class="display-inline-block bold"> (NA)</div>'."\n";;
					if(isset($game_home['probables'][0]['statistics'])){
						$stats_home = $game_home['probables'][0]['statistics'];
						$pitcher_home = $game_home['probables'][0]['athlete']['displayName'];
						$home_img = 'image/headshot.png"';
						if(isset($game_home['probables'][0]['athlete']['headshot'])){
							$home_img = $game_home['probables'][0]['athlete']['headshot'];
						}
						$home_head = '<img src="'.$home_img.'" alt="" style="height:20px;" class="display-inline-block" />';
						$home_line = $home_head.' <div class="display-inline-block">'.$pitcher_home.'</div>'."\n";
					}
					echo '<div class="bold"><div class="display-inline-block">'.$homeabb.'</div>'.$home_line.'</div>'."\n";
				}
			}
			if($notes){
				//echo '<div class="max-350 padding-top">'.$notes.'</div>'."\n";
			}
			echo '</div>'."\n";
		}
	}
}
$hockeyJson = new jsonHockey();
?>