var league_start = $('#league').data('league'),
	stopped = false,
	interval = 10000;
$(document).on('click', '.pause', function(e){
	stop_timer();
	league = $(this).data('league');
	if(!stopped){
		stopped = true;
		$('.pause-' + league).html('&#9654;');
		if(league_start == 'mlb') interval = 7000;
	}else{
		stopped = false;
		$('.pause-' + league).html('&#9208;');
		interval = 10000;
	}
	start_timer(interval,league);
});
/////// timer function ///////
function start_timer(i,league=null){
	timer = setInterval(function(){
		date_type = league == 'nfl' || league == 'college-football'
			? 'week'
			: 'date'
		max = $('select#event-' + league).data('max');
		$('select#event-' + league + ' option').removeAttr('selected');
		currentIndex = $('div.active').index() + 1;
		//if(stopped) currentIndex = currentIndex -1;
		if(stopped){
			currentIndex = currentIndex -1;
			$('.pause-' + league).html('&#9654;');
		}else{
			$('.pause-' + league).html('&#9208;');
		}
		if(currentIndex == max) currentIndex = 0;
		$('#carousel-' + league).carousel(currentIndex);
		console.log(league + ' ' +  interval + ' ' + stopped);
		$('select#event-' + league).val(currentIndex);
		$('select#event-' + league).find('option[value="' + currentIndex + '"]').attr('selected', 'selected');
		$val = $('select#date-' + league).val();
		$('.wrapper').load(document.URL + '?league=' + league + '&' + date_type + '=' + $val + ' .wrapper-reload', function(){
			if(stopped){
				$('.pause-' + league).html('&#9654;');
			}else{
				$('.pause-' + league).html('&#9208;');
			}
			$('#carousel-' + league).carousel(currentIndex);
		});
	}, i);
	return false;
}
function stop_timer(){
	clearInterval(timer);
	return false;
}
function select_current(currentIndex,league){
	$('select#event-' + league +' option').removeAttr('selected');
	$('select#event-' + league).val(currentIndex);
	$('select#event-' + league).find('option[value="' + currentIndex + '"]').attr('selected', 'selected');
}
$(document).on('click', '.prev, .next', function(e){
	stop_timer();
	league = $(this).data('league');
	if($(this).hasClass('prev')) $('#carousel-' + league).carousel('prev');
	else $('#carousel-' + league).carousel('next');
	currentIndex = $('div.active').index();
	select_current(currentIndex,league);
	start_timer(interval,league);
});
$(document).on('change input propertychange', '.event-select', function(e){
	stop_timer();
	league = $(this).data('league');
	val = $(this).val();
	select_current(val,league);
	start_timer(interval,league);
});
$(document).on("change input propertychange", ".date-select", function(e){
	stop_timer();
	league = $(this).data('league');
	$val = $(this).val();
	date_type = league == 'nfl' || league == 'college-football'
		? 'week'
		: 'date'
	$('.wrapper').load(document.URL + '?league=' + league + '&' + date_type + '=' + $val + ' .wrapper-reload');
	$('.twrap').load(document.URL + '?league=' + league + '&' + date_type + '=' + $val + ' .head-wrapper');
	start_timer(interval,league);
});
$(document).on('click', '.league-select', function(e){
	e.preventDefault();
	stop_timer();
	stopped = false;
	interval = 10000;
	league = $(this).data('league');
	href = $(this).attr('href');
	$('.wrapper').load(document.URL + href + ' .wrapper-reload');
	$('.twrap').load(document.URL + href + ' .head-wrapper');
	start_timer(interval,league);
});
start_timer(interval,league_start);