<?php
class jsonFootball extends jsonCommon{
	/////// get date /////// 
	function start_date($season_year,$detail,$shortDetail){
		$start_date = '';
		$start_day = 'Start NA';
		$start_time = 'Time NA';
		$day = 'Day NA';
		if(!strpos($detail, 'TBD') !== false){
			list($day, $dt) = explode(',',$detail);
			$shortDetail = str_ireplace(array(' EDT',' EST'),array('',''),$shortDetail);
			$getDetail = str_ireplace(array(' - '),array('/'),$shortDetail);
			list($m, $dy,$t) = explode('/',$getDetail);
			$m = $m < 10
				? '0'.$m
				: $m;
			$dy = $dy < 10
				? '0'.$dy
				: $dy;
			$ampm = substr($t, -2);
			$start_time = str_ireplace(array(' AM',' PM'),array('',''),$t);
			list($h, $min) = explode(':',$start_time);
			$h = $ampm == 'PM'
				? $h + 12
				: $h;
			$h = $h < 10
				? '0'.$h
				: $h;
			$start_day = $season_year.'-'.$m.'-'.$dy;
			$start_time = $h.':'.$min;
			$start_date = $start_day.' '.$start_time;
		}
		if(strpos($detail, 'TBD') !== false){
			$start_date = 'TBA';
		}
		return $start_date;
	}
	public function drives($games,$eid,$i){
		$cnt = $games['events'];
		$c_json = count($cnt);
		$pos_logo = '';
		$drive_end = '';
		$drive = '';
		$home_logo = '';
		$away_logo ='';
		$game_id = $games['events'][$i]['competitions'][0]['id'];

		$team_home_id = $games['events'][$i]['competitions'][0]['competitors'][0]['id'];
		$team_home = $games['events'][$i]['competitions'][0]['competitors'][0]['team']['displayName'];
		$team_home_abb = $games['events'][$i]['competitions'][0]['competitors'][0]['team']['abbreviation'];
		$logo = $games['events'][$i]['competitions'][0]['competitors'][0]['team']['logo'];
		$home_logo = '<img src="'.$logo.'" alt="" style="width:20px;" class="team-logo inline-block" />';

		$team_away = $games['events'][$i]['competitions'][0]['competitors'][1]['team']['displayName'];
		$team_away_abb = $games['events'][$i]['competitions'][0]['competitors'][1]['team']['abbreviation'];
		$logo = $games['events'][$i]['competitions'][0]['competitors'][1]['team']['logo'];
		$away_logo = '<img src="'.$logo.'" alt="" style="width:20px;" class="team-logo inline-block" />';

		if(isset($games['events'][$i]['competitions'][0]['situation']['homeTimeouts'])){
			$pos_team = '';
			$homeTimeouts = $games['events'][$i]['competitions'][0]['situation']['homeTimeouts'];
			$home_timeouts = '		<div class="col-sm-12">Time Outs: <strong>'.$homeTimeouts.'</strong></div>'."\n";
			$awayTimeouts = $games['events'][$i]['competitions'][0]['situation']['awayTimeouts'];
			$away_timeouts = '		<div class="col-sm-12">Time Outs: <strong>'.$awayTimeouts.'</strong></div>'."\n";
			$down = $games['events'][$i]['competitions'][0]['situation']['down'];
			$yardLine = $games['events'][$i]['competitions'][0]['situation']['yardLine'];
			$distance = $games['events'][$i]['competitions'][0]['situation']['distance'];
			$isRedZone = $games['events'][$i]['competitions'][0]['situation']['isRedZone'];
			if(isset($games['events'][$i]['competitions'][0]['situation']['possession'])){
				$possession = $games['events'][$i]['competitions'][0]['situation']['possession'];
				$rz = !$isRedZone
					? ''
					: ' <span class="red">RZ</span>';
				$pos_logo = $team_home_id == $possession
					? $home_logo
					: $away_logo;
				if(isset($games['events'][$i]['competitions'][0]['situation']['downDistanceText'])){
					$downDistanceText = $games['events'][$i]['competitions'][0]['situation']['downDistanceText'];
					$pos_team = '	<div class="col-sm-12 center italic">'.$pos_logo.' '.$downDistanceText.$rz.'</div>'."\n";
				}
			}
			if(isset($games['events'][$i]['competitions'][0]['situation'])){
				$last_play = $games['events'][$i]['competitions'][0]['situation']['lastPlay']['text'];
				$last_play_drive = $games['events'][$i]['competitions'][0]['situation']['lastPlay']['drive']['description'];
				list($plays, $yards, $time) = explode(', ',$last_play_drive);
				$last_play_drive = $plays.' for '.$yards;
				if(isset($games['events'][$i]['competitions'][0]['situation']['lastPlay']['drive']['start'])){
					$drive_start = $games['events'][$i]['competitions'][0]['situation']['lastPlay']['drive']['start']['text'];
					$drive_start = '<strong>Drive:</strong> '.$last_play_drive.' from the ' .$drive_start.'';
				}
				else $drive_start = '';
				if(isset($games['events'][$i]['competitions'][0]['situation']['lastPlay']['drive']['end'])){
					$drive_end = $games['events'][$i]['competitions'][0]['situation']['lastPlay']['drive']['end']['text'];
					$drive_end = ' to the '.$drive_end.' ('.$time.')';
				}
				else $drive_end = '';
			}
			if($game_id == $eid) $drive = $drive_start.$drive_end.'';
		}
		echo '<div class="margin-bottom">'.$pos_team.'</div>';
		echo '<div class="max-400 margin-bottom-sm">'.$last_play.'</div>';
		echo $drive;
	}
	/////// quarters /////// 
	public function linescores($array,$team,$qtr){
		$qtr = $qtr - 1;
		$linescores = $array['linescores'];
		if(isset($linescores[$qtr])){
			$qscore = $linescores[$qtr]['value'];
			return $qscore;
		}
		else
			return NULL;
	}
	public function linescores_display($stats,$logo,$team,$header=NULL){
		$q1 = 0; $q2 = 0; $q3 = 0; $q4 = 0; $q5 = 0;
		$won = '';
		$possession = '';
		$lineclass = '';
		$winner = '';
		$period = $stats['status']['period'];
		$complete = $stats['status']['type']['completed'];
		$state = $stats['status']['type']['state'];
		$team_array = $stats['competitions'][0]['competitors'][$team];
		$team_id = $team_array['id'];
		$team_score = $team_array['score'];
		if(isset($stats['competitions'][0]['situation']['possession'])){
			if($period == 1)
				$qt = $period.'st';
			if($period == 2)
				$qt = $period.'nd';
			if($period == 3)
				$qt = $period.'rd';
			if($period == 4)
				$qt = $period.'th';
			if($period == 5)
				$qt = 'OT';
			$possession = $stats['competitions'][0]['situation']['possession'];
			/*$won = $period && $possession == $team_id
				? $qt
				: '';*/
			$pos = '<img src="image/football.png" alt="" style="width:12px;" class="inline-block" />';
			$won = $period && $possession == $team_id
				? $pos
				: '';
		}
		if(isset($team_array['winner'])){
			$winner = $team_array['winner'];
			if($winner){
				$won_class = ' bold green';
			}else{
				$won_class = ' normal';
			}
		}else $winner = '';
		if($team == 1) $lineclass = ' padding-bottom-sm';
		echo '	<tr class="text-left'.$lineclass.'">'."\n";
		if($period && ($state != 'pre') && !$winner && !$complete) echo '		<td class="padding-right-sm padding-left-sm text-left"><span class="bold">'.$won.'</span></td>'."\n";
		echo '		<td class="padding-right-sm padding-left-sm text-left"><img src="'.$logo.'" alt="" style="width:25px;" /></td>'."\n";
		if($period >= 1)
			$q1 = $this->linescores($team_array,$team,1);
		if($period >= 2)
			$q2 = $this->linescores($team_array,$team,2);
		if($period >= 3)
			$q3 = $this->linescores($team_array,$team,3);
		if($period >= 4)
			$q4 = $this->linescores($team_array,$team,4);
		echo '		<td class="padding-right-sm padding-left-sm text-left">1st: <strong>'.$q1.'</strong></td>'."\n";
		echo '		<td class="padding-right-sm padding-left-sm text-left">2nd: <strong>'.$q2.'</strong></td>'."\n";
		echo '		<td class="padding-right-sm padding-left-sm text-left">3rd <strong>'.$q3.'</strong></td>'."\n";
		echo '		<td class="padding-right-sm padding-left-sm text-left">4th: <strong>'.$q4.'</strong></td>'."\n";
		if($period >= 5){
			$q5 = $this->linescores($team_array,$team,5);
			echo '		<td class="padding-right-sm padding-left-sm text-left">OT: <strong>'.$q5.'</strong></td>'."\n";
		}
		if($complete){
			echo '		<td class="padding-right-sm padding-left-sm text-left'.$won_class.'">'.$team_score.'</td>'."\n";
		}
		echo '	</tr>'."\n";
	}
	/////// team leaders/quaterbacks /////// 
	public function leaders_display($array,$team,$type,$pre=NULL){
		if($pre){
			$leader = $array['competitions'][0]['competitors'][$team]['leaders'];
		}else{
			$leader = $array['competitions'][0]['leaders'];
			$hid = $array['competitions'][0]['competitors'][$team]['id'];
			$hteam = $array['competitions'][0]['competitors'][0]['team']['abbreviation'];
			$ateam = $array['competitions'][0]['competitors'][1]['team']['abbreviation'];
		}
		$leader_cnt = count($leader);
		if($pre) $leader_cnt = 1;
		$game_stats = '';
		if(!$pre) $game_stats .= '	<tr>'."\n";
		for($iw=0; $iw<$leader_cnt; $iw++){
			$cat = '';
			$lineclass = '';
			if(isset($leader[$iw]['leaders'][0]['athlete']['shortName'])){
				$player = $leader[$iw]['leaders'][0]['athlete']['shortName'];
				$stat = $leader[$iw]['leaders'][0]['displayValue'];
				$headshot = '<img src="image/headshot.png" alt="" style="width:55px;" class="center" />';
				if(isset($leader[$iw]['leaders'][0]['athlete']['headshot'])){
					$img = $leader[$iw]['leaders'][0]['athlete']['headshot'];
					$headshot = '<img src="'.$img.'" alt="" style="width:55px;" class="center" />';
				}
				if($type == 'cat'){
					if($iw === 0) $cat .= 'Passing';
					if($iw === 1) $cat .= 'Rushing';
					if($iw === 2) $cat .= 'Receiving';
					$game_stats .= '		<td class="text-left">'.$cat.'</td>'."\n";
				}
				if($type == 'player'){
					$player = '<strong>'.$player.'</strong> ';
					if($pre) $player = '<strong>'.$player.'</strong> '.$pre;
					if(!$pre){
						$tid = $leader[$iw]['leaders'][0]['team']['id'];
						$player = $tid == $hid
							? '<strong>'.$player.'</strong> '.$hteam
							: '<strong>'.$player.'</strong> '.$ateam;
					}
					$game_stats .= '		<td class="bold">'.$player.'</td>'."\n";
				}
				if($type == 'stats'){
					$game_stats .= '		<td class="padding-all small-text">'.$stat.'</td>'."\n";
				}
				if($type == 'headshot'){
					$game_stats .= '		<td class="center">'.$headshot.'</td>'."\n";
				}
			}
		}
		if(!$pre) $game_stats .= '	</tr>'."\n";
		echo $game_stats;
	}
	public function team_info($array,$team,$season_year,$n=NULL){
		$n = $n + 1;
		$out = '';
		$score = 0;
		$getdate = $array['date'];
		$getdate = str_ireplace(array('T','Z'),array('/',''),$getdate);
		list($edate,$etime) = explode("/",$getdate);
		list($y,$m,$d) = explode("-",$edate);
		$year = $y;
		$start_date = date('D M jS', strtotime($edate));
		$completed = $array['status']['type']['completed'];
		$state = $array['status']['type']['state'];
		$detail = $array['status']['type']['detail'];
		$link = $array['links'][0]['href'];
		$short_detail = $array['status']['type']['shortDetail'];
		$period = $array['competitions'][0]['status']['period'];
		$clock = $array['competitions'][0]['status']['clock'];
		$notes = isset($array['competitions'][0]['notes'][0]['headline'])
			? $array['competitions'][0]['notes'][0]['headline']
			: '';
		$displayClock = $array['competitions'][0]['status']['displayClock'];
		$period = $array['status']['period'];
		$complete = $array['status']['type']['completed'];
		$state = $array['status']['type']['state'];
		$team_array = $array['competitions'][0]['competitors'][$team];
		$team_id = $team_array['id'];
		$qt = 0;
		$homeTimeouts = '';
		$awayTimeouts = '';
		if(isset($array['competitions'][0]['situation']['homeTimeouts'])){
			$homeTimeouts = $array['competitions'][0]['situation']['homeTimeouts'];
			$homeTimeouts = '<span class="small-text inline-block"> '.$homeTimeouts.' TOs</span>';
		}
		if(isset($array['competitions'][0]['situation']['awayTimeouts'])){
			$awayTimeouts = $array['competitions'][0]['situation']['awayTimeouts'];
			$awayTimeouts = '<span class="small-text inline-block"> '.$awayTimeouts.' TOs</span>';
		}
		if(isset($array['competitions'][0]['situation']['possession'])){
			if($period == 1)
				$qt = $period.'st Qt';
			if($period == 2)
				$qt = $period.'nd Qt';
			if($period == 3)
				$qt = $period.'rd Qt';
			if($period == 4)
				$qt = $period.'th Qt';
			if($period == 5)
				$qt = 'OT';
		}
		if($completed){
			$start_date = '<span class="italic">Game Complete</span>';
		}else{
			if($state != 'pre'){
				$start_date = '<span class="bold">'.$detail.'</span>';
			}else{
				$date = $this->start_date($year,$detail,$short_detail);
				$start_date = date("D M jS, $year g:i a", strtotime($date));
				if($short_detail == 'TBD'){
					list($edate,$etime) = explode(" - ",$detail);
					$start_date = date("D M jS. $year", strtotime($edate));
				}
				$start_date = '<span class="italic">'.$start_date.'</span>';
			}
		}
		$score = '';
		$out .= '<table border=0 class="margin-bottom center w-100">'."\n";
		$out .= '	<tr>'."\n";
		if($team == 1){
			$out .= '		<td colspan=3 class="text-left"><div class="float-left">'.$start_date.'</div>'."\n";
			$out .= '<div class="float-right"><a href="'.$link.'" target="_blank"><img src="image/espn200.png" alt="" style="width:45px;" /></a></div>'."\n";
			$out .= '<div class="clear margin-bottom-sm"></div>'."\n";
		}
		if($state == 'pre' && $notes) $out .= '<div class="center bold">'.$notes.'</div>'."\n";
		$out .= '	</td>'."\n";
		$out .= '	</tr>'."\n";
		$out .= '</table>'."\n";
		$out .= '<table border=0 class="margin-bottom center">'."\n";
		$out .= '	<tr>'."\n";
		/////// away team ///////
		$away_array = $array['competitions'][0]['competitors'][1];
		$away_score = isset($away_array['score'])
			? $away_array['score']
			: '';
		$away_record = '';
		if(isset($away_array['records'][0]['summary'])){
			$away_record = '('.$away_array['records'][0]['summary'].')';
		}
		$away_id = $away_array['team']['id'];
		$away_name = $away_array['team']['displayName'];
		$away_img = isset($away_array['team']['logo'])
			? $away_array['team']['logo']
			: 'image/blue_l.png';
		$away_logo = '<img src="'.$away_img.'" alt="" style="width:45px;" class="inline-block" />';
		$out .= '		<td class="text-left padding-right-sm">'.$away_logo.' </td>'."\n";
		$out .= '		<td class="center"><div class="bold inline-block">'.$away_name.' <span class="normal">'.$away_record.'</span></div></td>'."\n";
		$out .= '		<td class="large-text padding-left-sm text-right"><strong>'.$away_score.'</strong></td>'."\n";
		$out .= '		<td class="large-text padding-left-sm text-right">'.$awayTimeouts.'</td>'."\n";
		$out .= '	</tr>'."\n";
		$out .= '	<tr>'."\n";
		$out .= '		<td></td>'."\n";
		$out .= '		<td class="center bold">@</td>'."\n";
		$out .= '		<td></td>'."\n";
		$out .= '		<td></td>'."\n";
		$out .= '	</tr>'."\n";
		$out .= '	<tr>'."\n";
		/////// home team ///////
		$home_array = $array['competitions'][0]['competitors'][0];
		$home_score = isset($home_array['score'])
			? $home_array['score']
			: '';
		$home_record = '';
		if(isset($home_array['records'][0]['summary'])){
			$home_record = '('.$home_array['records'][0]['summary'].')';
		}
		$home_id = $home_array['team']['id'];
		$home_name = $home_array['team']['displayName'];
		$home_img = isset($home_array['team']['logo'])
			? $home_array['team']['logo']
			: 'image/red_l.png';
		$home_logo = '<img src="'.$home_img.'" alt="" style="width:45px;" class="inline-block" />';
		$out .= '		<td class="text-left padding-right-sm">'.$home_logo.' </td>'."\n";
		$out .= '		<td class="center"><div class="bold inline-block">'.$home_name.' <span class="normal">'.$home_record.'</span></div></td>'."\n";
		$out .= '		<td class="large-text padding-left-sm text-right"><strong>'.$home_score.'</strong></td>'."\n";
		$out .= '		<td class="large-text padding-left-sm text-right">'.$homeTimeouts.'</td>'."\n";
		$out .= '	</tr>'."\n";
		if($state == 'in'){
			$out .= '	<tr>'."\n";
			$out .= '		<td colspan=4 class="center bold large-text">'.$displayClock.'</td>'."\n";
			$out .= '	</tr>'."\n";
		}
		$out .= '</table>'."\n";
		echo $out;
	}
	public function football_json($games){
		$cnt = $games['events'];
		$c_json = count($cnt);
		$out = '';
		for($i=0; $i<$c_json; $i++){
			$eid = $games['events'][$i]['id'];
			$season_year = $games['events'][$i]['season']['year'];
			$completed = $games['events'][$i]['status']['type']['completed'];
			$state = $games['events'][$i]['status']['type']['state'];
			$team_array = $games['events'][$i]['competitions'][0]['competitors'];
			$location_home = $team_array[0]['team']['location'];
			if(isset($team_array[0]['team']['logo'])) $logo_home = $team_array[0]['team']['logo'];
			else $logo_home = '';
			if(isset($team_array[1]['team']['logo'])) $logo_away = $team_array[1]['team']['logo'];
			else $logo_away = '';
			if(isset($team_array[0]['team']['abbreviation'])) $h_abb = $team_array[0]['team']['abbreviation'];
			else $h_abb = '';
			if(isset($team_array[1]['team']['abbreviation'])) $a_abb = $team_array[1]['team']['abbreviation'];
			else $a_abb = '';
			$location_away = $team_array[1]['team']['location'];
			$winner = '';
			if($completed){
				$winner = $team_array[0]['winner'];
				$team = $winner
					? 0
					: 1;
				$location = $winner
					? $location_home
					: $location_away;
			}
			$active = '';
			if($i == 0) $active = ' active';
			echo '<div class="item main-wrapper min-450 border display-inline-block margin-all'.$active.'">'."\n";
			$this->team_info($games['events'][$i],1,$season_year,$i);
				/////// quarters ///////
			echo '<table border=1 class="center margin-bottom">'."\n";
			$this->linescores_display($games['events'][$i],$logo_away,1);
			$this->linescores_display($games['events'][$i],$logo_home,0);
			echo '</table>'."\n";
			$stats = $games['events'][$i];
			if(isset($stats['competitions'][0]['leaders'])){
				if($completed){
					/////// game leaders ///////
					echo '<table border=0 class="w-100">'."\n";
					$this->leaders_display($stats,$team,'cat');
					$this->leaders_display($stats,$team,'player');
					$this->leaders_display($stats,$team,'stats');
					$this->leaders_display($stats,$team,'headshot');
					echo '</table>'."\n";
				}
				if($state == 'pre'){
					/////// quarterbacks only ///////
					echo '<table border=0 class="w-100">'."\n";
					echo '	<tr>'."\n";
					$this->leaders_display($stats,1,'player',$a_abb);
					$this->leaders_display($stats,0,'player',$h_abb);
					echo '	</tr>'."\n";
					echo '	<tr>'."\n";
					$this->leaders_display($stats,1,'stats',1);
					$this->leaders_display($stats,0,'stats',1);
					echo '	<tr>'."\n";
					$this->leaders_display($stats,1,'headshot',1);
					$this->leaders_display($stats,0,'headshot',1);
					echo '	</tr>'."\n";
					echo '</table>'."\n";
				}
			}
			if($state == 'in'){
				$this->drives($games,$eid,$i);
			}
			echo '</div>'."\n";
		}
	}
}
$footballJson = new jsonFootball();
?>